package com.gxzc.zen.api.shared.model

import com.baomidou.mybatisplus.annotations.TableName
import com.baomidou.mybatisplus.annotations.TableField
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 案卷文件
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-14
 */
@TableName("share_directory_rec_mgr")
open class ShareDirectoryRecMgr : BaseModel() {
    /**
     * 案卷级档号
     */
@TableField("filesNo")
    var filesNo: String? = null
    /**
     * 全宗号
     */
@TableField("fondsId")
    var fondsId: String? = null
    /**
     * 案卷号
     */
@TableField("filesId")
    var filesId: String? = null
    /**
     * 目录号
     */
    var directory: String? = null
    /**
     * 年度
     */
    var year: String? = null
    /**
     * 保管期限
     */
@TableField("retentionPeriod")
    var retentionPeriod: String? = null
    /**
     * 保管期限代码
     */
@TableField("custodyCode")
    var custodyCode: String? = null
    /**
     * 文件编号
     */
@TableField("fileNumber")
    var fileNumber: String? = null
    /**
     * 案卷题名
     */
@TableField("archivesNominate")
    var archivesNominate: String? = null
    /**
     * 起时间
     */
@TableField("beginTime")
    var beginTime: String? = null
    /**
     * 止时间
     */
@TableField("stopTime")
    var stopTime: String? = null
    /**
     * 责任者
     */
    var responsible: String? = null
    /**
     * 成文时间
     */
@TableField("formaationTime")
    var formaationTime: String? = null
    /**
     * 页数
     */
@TableField("pageNumber")
    var pageNumber: String? = null
    /**
     * 人物
     */
    var people: String? = null
    /**
     * 盒号
     */
@TableField("boxId")
    var boxId: String? = null
    /**
     * 附注
     */
    var appendix: String? = null
    /**
     * 保密期限
     */
@TableField("ConfidentialityTime")
    var ConfidentialityTime: String? = null
    /**
     * 密级
     */
@TableField("securityClassification")
    var securityClassification: String? = null
    /**
     * 档案馆名称
     */
@TableField("archivesName")
    var archivesName: String? = null
    /**
     * 主题词
     */
@TableField("subjectTerm")
    var subjectTerm: String? = null
    /**
     * 档案馆代码
     */
@TableField("archiveId")
    var archiveId: String? = null
    /**
     * 附件题名
     */
@TableField("appendixName")
    var appendixName: String? = null
}
