package com.gxzc.zen.api.shared.model

import com.baomidou.mybatisplus.annotations.TableName
import com.fasterxml.jackson.annotation.JsonFormat
import java.util.Date
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 共享时间表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-14
 */
@TableName("share_time")
open class ShareTime : BaseModel() {
    /**
     * 平台ID
     */
    var platformId: Int? = null
    /**
     * 键
     */
    var key: String? = null
    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var time: Date? = null
}
