package com.gxzc.zen.api.sys.mapper

import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.common.base.BaseMapper
import org.apache.ibatis.annotations.Param
import org.springframework.stereotype.Repository

/**
 * <p>
 * 用户管理 Mapper 接口
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@Repository
interface SysUserMapper : BaseMapper<SysUser> {
    fun selectByAccount(@Param("account") account: String): SysUser
}
