package com.gxzc.zen.api.sys.mapper

import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.common.base.BaseMapper
import org.apache.ibatis.annotations.Param
import org.springframework.stereotype.Repository

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@Repository
interface SysUserRoleMapper : BaseMapper<SysUserRole> {
    fun selectUserRoleListByUserId(@Param("userId") id: Long): MutableList<SysRole>
    fun selectUserRoleListByUserIdList(@Param("userIdList") id: Array<Int>): MutableList<SysRole>
}
