package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 操作日志表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_event_oper")
data class SysEventOper(
        /**
         * 日志标题
         */
        var title: String? = null,
        /**
         * 请求地址
         */
        var requestUri: String? = null,
        /**
         * 排序号
         */
        var sort: Int? = null,
        /**
         * 账户名
         */
        var account: String? = null,
        /**
         * 登录IP地址
         */
        var clientHost: String? = null,
        /**
         * 请求参数
         */
        var parameter: String? = null,
        /**
         * 请求方法
         */
        var method: String? = null
) : BaseModel() {
}
