package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 系统参数表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_param")
data class SysParam(
        /**
         * 参数key
         */
        var key: String? = null,
        /**
         * 参数值
         */
        var value: String? = null,
        /**
         * 标签
         */
        var label: String? = null,
        /**
         * 排序号
         */
        var sort: Int? = null
) : BaseModel() {
}
