package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 角色表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_role")
data class SysRole(
        /**
         * 角色名称
         */
        var name: String? = null,
        /**
         * 角色代码
         */
        var code: String? = null,
        /**
         * 权限列表
         */
        var perms: String? = null
) : BaseModel() {
}
