package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_user_role")
data class SysUserRole(
        /**
         * 角色ID
         */
        var roleId: Long? = null,
        /**
         * 用户ID
         */
        var userId: Long? = null
) : BaseModel() {
}
