package com.gxzc.zen.sso.config

import com.gxzc.zen.sso.aop.CurrentUserHandler
import org.springframework.context.annotation.Configuration
import org.springframework.web.servlet.config.annotation.InterceptorRegistry
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter

/**
 *
 * @author NorthLan
 * @date 2018/3/24
 * @url https://noahlan.com
 */
@Configuration
class CurrentUserWebConfigurer : WebMvcConfigurerAdapter() {

    override fun addInterceptors(registry: InterceptorRegistry?) {
        registry?.addInterceptor(CurrentUserHandler())
        super.addInterceptors(registry)
    }
}