package com.gxzc.zen.umps.common

/**
 *
 * @author NorthLan
 * @date 2018/2/6
 * @url https://noahlan.com
 */
class Permission(private val permission: String) {
    var platformId: Int = 0
    var perm: String = ""
    var crud: String = ""

    init {
        process()
    }

    private fun process() {
        if (permission.isEmpty()) {
            return
        }
        val splitList = permission.split(':')
        if (splitList.size < 3) {
            throw RuntimeException("permission字符串错误,必须为:分割且长度等于3")
        }
        platformId = splitList[0].toInt()
        perm = splitList[1]
        crud = splitList[2]
    }
}