package com.gxzc.zen.umps.config

import com.baomidou.kisso.web.handler.KissoDefaultHandler
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

/**
 * SSO拦截处理器
 * @author NorthLan
 * @date 2018/3/10
 * @url https://noahlan.com
 */
class KissoHandlerInterceptor : KissoDefaultHandler() {

    /**
     * 由于前后分离,所以将非ajax返回处理为ajax返回 (401)
     */
    override fun preTokenIsNull(request: HttpServletRequest?, response: HttpServletResponse?): Boolean {
        return super.preTokenIsNullAjax(request, response)
    }
}