package com.gxzc.zen.common.config.response.annotation;

import java.lang.annotation.*;

/**
 * Json注解,用于返回值的动态过滤
 * 由于kotlin不支持repeatable 故暂使用java方式进行
 * @author NorthLan
 * @date 2018/3/13
 * @url https://noahlan.com
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(ZenResponseFilters.class)
public @interface ZenResponseFilter {
    Class<?> type();

    String[] include() default {};

    String[] filter() default {};
}
