package com.gxzc.zen.common.base

import com.gxzc.zen.common.util.HttpUtil
import org.springframework.beans.factory.annotation.Autowired
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

/**
 * 控制器基类
 * 支持kisso
 * @author NorthLan at 2018/2/9
 */
open class BaseController {

    @Autowired
    private lateinit var request: HttpServletRequest

    fun getRequest(): HttpServletRequest {
        return HttpUtil.getRequest()
    }

    fun getResponse(): HttpServletResponse {
        return HttpUtil.getResponse()
    }
}