package com.gxzc.zen.common.exception

/**
 * 业务异常的封装基类
 * @author NorthLan
 * @date 2018/2/28
 * @url https://noahlan.com
 */
open class ZenException : RuntimeException {
    var code: Int = 0
    override var message: String

    constructor(code: Int, msg: String) {
        this.code = code
        this.message = msg
    }

    constructor(zenExceptionEnum: ZenExceptionEnum) {
        this.code = zenExceptionEnum.code
        this.message = zenExceptionEnum.msg
    }
}