package com.gxzc.zen.job.jobhandler

import com.gxzc.zen.api.sys.service.ISysDeptService
import com.xxl.job.core.biz.model.ReturnT
import com.xxl.job.core.handler.IJobHandler
import com.xxl.job.core.handler.annotation.JobHandler
import com.xxl.job.core.log.XxlJobLogger
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component

/**
 * @Author: Create By liusen
 * @Date: Create on 16:51 2018/4/8
 * @Description:
 */
@JobHandler("deleteJobHandler")
@Component
class DeleteJobHandler : IJobHandler() {
    @Autowired
    private lateinit var deptService: ISysDeptService

    companion object {
        private val logger = LoggerFactory.getLogger(DeleteJobHandler.javaClass)
    }

    override fun execute(param: String?): ReturnT<String> {
        XxlJobLogger.log("测试删除开始=================")
        logger.info("测试删除开始=================")
        deptService.deleteById(1L)
        XxlJobLogger.log("测试删除结束=================")
        logger.info("测试删除结束=================")
        return SUCCESS
    }
}