package com.gxzc.zen.job.jobhandler

import com.gxzc.zen.api.sys.model.SysDept
import com.gxzc.zen.api.sys.service.ISysDeptService
import com.xxl.job.core.biz.model.ReturnT
import com.xxl.job.core.handler.IJobHandler
import com.xxl.job.core.handler.annotation.JobHandler
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component

/**
 * @Author: Create By liusen
 * @Date: Create on 17:04 2018/4/8
 * @Description:
 */
@JobHandler("updateJobHandler")
@Component
class UpdateJobHandler:IJobHandler() {
    @Autowired
    private lateinit var deptService: ISysDeptService

    companion object {
        private val logger = LoggerFactory.getLogger(DeleteJobHandler.javaClass)
    }
    override fun execute(param: String?): ReturnT<String> {
        logger.info("更新测试开始=========")
        deptService.updateById(SysDept().apply {
            id=1
            principal="更新人:刘森"
        })
        logger.info("更新测试开始=========")
        return ReturnT.SUCCESS
    }
}