package com.gxzc.zen.api.shared.model

import com.baomidou.mybatisplus.annotations.TableName
import com.baomidou.mybatisplus.annotations.TableField
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 卷内文件
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-14
 */
@TableName("share_information_rec_mgr")
open class ShareInformationRecMgr : BaseModel() {
    /**
     * 档案归档状态（0未归档；1归档）
     */
    var singn: String? = null
    /**
     * 全宗号
     */
@TableField("fonds_Id")
    var fondsId: String? = null
    /**
     * 案卷目录号
     */
    var directory: String? = null
    /**
     * 案卷号
     */
@TableField("files_Id")
    var filesId: String? = null
    /**
     * 案卷级档号
     */
    var filesNo: String? = null
    /**
     * 文件级档号
     */
    var doumentNo: String? = null
    /**
     * 页号
     */
@TableField("page_Id")
    var pageId: String? = null
    /**
     * 件号
     */
@TableField("doument_Id")
    var doumentId: String? = null
    /**
     * 责任者
     */
    var responsible: String? = null
    /**
     * 文件编号
     */
    var fileNumber: String? = null
    /**
     * 文件题名
     */
    var fileName: String? = null
    /**
     * 页数
     */
    var pageNumber: String? = null
    /**
     * 成文时间
     */
    var formationTime: String? = null
    /**
     * 年度
     */
    var year: String? = null
@TableField("box_Id")
    var boxId: String? = null
    /**
     * 密级
     */
    var securityClassification: String? = null
    /**
     * 电子档案名
     */
    var electronicName: String? = null
    /**
     * 主题词
     */
    var subjectHeadings: String? = null
    /**
     * 机构（问题）
     */
    var institution: String? = null
    /**
     * 人物
     */
    var people: String? = null
    /**
     * 档案馆名称
     */
    var archivesName: String? = null
    /**
     * 附件题名
     */
    var adjunct: String? = null
    /**
     * 控制标识
     */
@TableField("controlIndicators")
    var controlIndicators: String? = null
    /**
     * 档案馆代码
     */
@TableField("archive_Id")
    var archiveId: String? = null
    /**
     * 档案生成方式
     */
    var archiveGeneration: String? = null
    /**
     * 附注
     */
    var note: String? = null
    /**
     * 保密期限
     */
    var confidentialityTime: String? = null
    /**
     * 保管期限
     */
@TableField("retentionPeriod")
    var retentionPeriod: String? = null
    /**
     * 数字化时间
     */
    var digitalTime: String? = null
    /**
     * 数字化授权描述
     */
    var digitalDescription: String? = null
    /**
     * 格式名称
     */
    var formatName: String? = null
    /**
     * 格式版本
     */
    var formatVersion: String? = null
    /**
     * 色彩空间
     */
    var colorSpace: String? = null
    /**
     * 压缩方式
     */
    var compressionScheme: String? = null
    /**
     * 压缩率
     */
    var compressionRatio: String? = null
    /**
     * 水平分辨率
     */
    var horizontalResolution: String? = null
    /**
     * 垂直分辨率
     */
    var verticalResolution: String? = null
    /**
     * 图像高度
     */
    var imageHeight: String? = null
    /**
     * 图像宽度
     */
    var imageWidth: String? = null
    /**
     * 设备类型
     */
    var deviceType: String? = null
    /**
     * 设备制造商
     */
    var deviceManufacturers: String? = null
    /**
     * 设备型号
     */
    var devicModle: String? = null
    /**
     * 设备系列号
     */
@TableField("devic_Id")
    var devicId: String? = null
    /**
     * 设备感光器
     */
    var photoreceptor: String? = null
    /**
     * 数字化软件名称
     */
    var softwareName: String? = null
    /**
     * 数字化软件版本
     */
@TableField("softwareVersion")
    var softwareVersion: String? = null
    /**
     * 数值化软件生产商
     */
    var manufacturers: String? = null
    /**
     * 数字化对象描述
     */
@TableField("digital_Object")
    var digitalObject: String? = null
}
