package com.gxzc.zen.api.shared.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-14
 */
@TableName("shared_sys_dic")
open class SharedSysDic : BaseModel() {
    /**
     * 字典代码
     */
    var key: String? = null
    /**
     * 字典值
     */
    var value: String? = null
    /**
     * 标签
     */
    var label: String? = null
    /**
     * 排序号
     */
    var sort: Int? = null
}
