package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 部门管理
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_dept")
data class SysDept(
        /**
         * 父节点ID
         */
        var parentId: Long? = null,
        /**
         * 部门名称
         */
        var name: String? = null,
        /**
         * 负责人
         */
        var principal: String? = null,
        /**
         * 排序号
         */
        var sort: Int? = null
) : BaseModel() {
}
