package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_dic")
data class SysDic(
        /**
         * 字典代码
         */
        var key: String? = null,
        /**
         * 字典值
         */
        var value: String? = null,
        /**
         * 标签
         */
        var label: String? = null,
        /**
         * 排序号
         */
        var sort: Int? = null
) : BaseModel() {
}
