package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import java.util.Date
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 通知公告表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_notice")
data class SysNotice(
        /**
         * 公告标题
         */
        var noticeTitle: String? = null,
        /**
         * 公告类型
         */
        var noticeType: String? = null,
        /**
         * 发布时间
         */
        var sendTime: Date? = null,
        /**
         * 来源地址
         */
        var sourcesUrl: String? = null,
        /**
         * 内容
         */
        var content: String? = null,
        /**
         * 发布状态
         */
        var status: String? = null
) : BaseModel() {
}
