package com.gxzc.zen.common.config.cache.caffeine

/**
 * 缓存配置数据类
 * @author NorthLan at 2018/2/4
 */
data class CacheSpec(
        var initialCapacity: Int = -1,
        var maximumSize: Long = -1,
        var maximumWeight: Long = -1,
        var expireAfterAccess: Long = -1,
        var expireAfterWrite: Long = -1,
        var refreshAfterWrite: Long = -1,
        var weakKeys: Boolean = false,
        var weakValues: Boolean = false,
        var softValues: Boolean = false,
        var recordStats: Boolean = false
)