package com.gxzc.zen.common.config.cache.redis

/**
 * Redis key 生成器
 * @author NorthLan
 * @date 2018/3/29
 * @url https://noahlan.com
 */
object RedisKeyGenerator {
    private const val SEPARATOR = ":"

    /**
     * 根据传入的keys组合key
     */
    fun joinToString(vararg keys: String): String {
        return if (keys.isEmpty()) {
            ""
        } else {
            keys.joinToString(SEPARATOR)
        }
    }
}