package com.gxzc.zen.common.contants

/**
 * 平台代码枚举
 * @author NorthLan
 * @date 2018/2/6
 * @url https://noahlan.com
 */
enum class PLATFORM(val id: Int) {
    COMMON(0),
    SYSTEM(1),
    RECEIVE(2),
    SAVE(3),
    MANAGER(4),
    UTILIZATION(5);

    companion object {
        fun intValueOf(id: Int): PLATFORM {
            var ret = values().find {
                it.id == id
            }
            if (ret == null) {
                ret = COMMON
            }
            return ret
        }
    }
}