package com.gxzc.zen.job.jobhandler

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.gxzc.zen.api.sys.model.SysDept
import com.gxzc.zen.api.sys.service.ISysDeptService
import com.xxl.job.core.biz.model.ReturnT
import com.xxl.job.core.handler.IJobHandler
import com.xxl.job.core.handler.annotation.JobHandler
import com.xxl.job.core.log.XxlJobLogger
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component

/**
 * @Author: Create By liusen
 * @Date: Create on 16:56 2018/4/8
 * @Description:
 */
@JobHandler("selectJobHandler")
@Component
class SelectJobHandler:IJobHandler() {
    @Autowired
    private lateinit var deptService: ISysDeptService

    companion object {
        private val logger = LoggerFactory.getLogger(DeleteJobHandler.javaClass)
    }
    override fun execute(param: String?): ReturnT<String> {
        XxlJobLogger.log("==============测试查询开始==============")
        val list = deptService.selectList(EntityWrapper<SysDept>())
        logger.info("result is :$list")
        XxlJobLogger.log("==============测试查询结束==============")
        return ReturnT.SUCCESS
    }
}