package com.gxzc.zen.orm.annotation

/**
 * 动态切换数据源 注解
 * 推荐使用于Service中的方法 或 整个service
 * @author NorthLan at 2018/1/29
 */
@Retention(AnnotationRetention.RUNTIME)
@Target(AnnotationTarget.FUNCTION, AnnotationTarget.TYPE)
annotation class DynamicDataSource(val value: String = "")